%define upstream_name	 GnuPG-Interface
%define upstream_version 0.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    GnuPG-Interface module for perl
Group:      Development/Perl
License:    GPL
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GnuPG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Moo) >= 0.91.11
BuildRequires: perl(MooX::HandlesVia) >= 0.1.4
BuildRequires: perl(MooX::late) >= 0.14.0
BuildRequires: gnupg
# For interactive tests

BuildArch:  noarch

Requires:   perl(Class::MethodMaker)

%{?perl_default_filter}

%description
GnuPG::Interface and its associated modules
are designed to provide an object-oriented
method for interacting with GnuPG, being able
to perform functions such as but not limited
to encrypting, signing, decryption, verification,
and key-listing parsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

#$e->expect(undef);
#exit $e->exitstatus()'

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/GnuPG
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.520.0-4pclos2017
- rebuild against updates

